osl::ShouldPromoteCut Struct Reference

探索で前向き枝刈して良い条件を一時的に書いておく More...

`#include <shouldPromoteCut.h>`

## Static Public Member Functions

template<Player P>
static bool | canIgnore (Ptype ptype, Square from, Square to)
template<Player Moving>
static bool | canIgnoreMove (Move move)
| dropでないことが確定している場合
template<Player Moving>
static bool | canIgnoreAndNotDrop (Move move)
| drop は通すチェック有り
static bool | canIgnoreAndNotDrop (Move move)

## Detailed Description

探索で前向き枝刈して良い条件を一時的に書いておく

効果を把握したら手生成の段階で cut するのが better TODO: あと，2段目への香は必ず成るチェックをいれる

Definition at line 16 of file shouldPromoteCut.h.

## Member Function Documentation

## canIgnore()

template<Player P>

bool osl::ShouldPromoteCut::canIgnore | ( | Ptype | ptype,
|  | Square | from,
|  | Square | to )

inline static

Definition at line 19 of file shouldPromoteCut.h.

References osl::BLACK, osl::Square::canPromote(), osl::isBasic(), osl::Square::isPieceStand(), osl::LANCE, osl::Ptype_Table, and osl::Square::y().

Referenced by canIgnoreMove().

## canIgnoreAndNotDrop() [1/2]

bool osl::ShouldPromoteCut::canIgnoreAndNotDrop | ( | Move | move | ) |

inline static

Definition at line 43 of file shouldPromoteCut.h.

References osl::BLACK, canIgnoreAndNotDrop(), and osl::Move::player().

## canIgnoreAndNotDrop() [2/2]

template<Player Moving>

bool osl::ShouldPromoteCut::canIgnoreAndNotDrop | ( | Move | move | ) |

inline static

drop は通すチェック有り

Definition at line 39 of file shouldPromoteCut.h.

References canIgnoreMove(), and osl::Move::isDrop().

Referenced by canIgnoreAndNotDrop().

## canIgnoreMove()

template<Player Moving>

bool osl::ShouldPromoteCut::canIgnoreMove | ( | Move | move | ) |

inline static

dropでないことが確定している場合

Definition at line 30 of file shouldPromoteCut.h.

References canIgnore(), osl::Move::from(), osl::Move::isDrop(), osl::Move::ptype(), and osl::Move::to().

Referenced by canIgnoreAndNotDrop().

The documentation for this struct was generated from the following file:

- shouldPromoteCut.h